Bug 408281 - Setoubleshoot Bug under cn locale
Setoubleshoot Bug under cn locale
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 00:38 EST by Ken YANG
Modified: 2009-01-09 02:29 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:29:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ken YANG 2007-12-03 00:38:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.8.1.10) Gecko/20071126 Fedora/2.0.0.10-1.fc8 Firefox/2.0.0.10

Description of problem:
in my F8(update) with setroubleshoot:

setroubleshoot-1.10.7-1.fc8.noarch

my setroubleshoot often close connect:

connection lost on /var/run/setroubleshoot/setroubleshoot_server

i found a error message in setroubleshoot log:

2007-11-29 10:02:41,561 [email.WARNING] 无法打开文件 /var/lib/setroubleshoot/email_alert_recipients, No such file or directory

in english is:

2007-11-29 10:02:41,561 [email.WARNING] can not open file: /var/lib/setroubleshoot/email_alert_recipients, No such file or directory


and after i restart setroubleshoot

$  sudo service setroubleshoot restart
停止 setroubleshootd:                                     [OK]
启动 setroubleshootd:                                     [OK]


i got:

/var/lib/setroubleshoot/audit_listener_database.xml:570: parser error : Input is not proper UTF-8, indicate encoding !
Bytes: 0xDF 0x20 0xE8 0xAE
    如果您想让 � 访问这个文件,您需要使用 restorecon -v <未知

in english is:

/var/lib/setroubleshoot/audit_listener_database.xml:570: parser error : Input is not proper UTF-8, indicate encoding !
Bytes: 0xDF 0x20 0xE8 0xAE
    If you want to access this file,you should use restorecon -v < unknown

above english error messages is translated by me, not setroubleshoot
original error messages.

because i doubt that the error is caused by chinese locale, so i keep
the "chinese error message" from setroubleshoot. My system runs in LANG=zh_CN.UTF-8 

Version-Release number of selected component (if applicable):
Setoubleshoot Bug under cn locale

How reproducible:
Always


Steps to Reproduce:
when encounter bad translation

Actual Results:


Expected Results:


Additional info:
Comment 1 Bug Zapper 2008-11-26 03:47:49 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 02:29:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.